VALLOC(3) | Library Functions Manual | VALLOC(3)

# NAME

`valloc` —
aligned memory allocation function

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <stdlib.h>`

void *
`valloc`(size_t size);

# DESCRIPTION

The `valloc`() function is obsoleted by the current version of malloc(3), which aligns page-sized and larger allocations.

The `valloc`() function allocates size bytes aligned on a page boundary. It is implemented by calling malloc(3) with a slightly larger request, saving the true beginning of the block allocated, and returning a properly aligned pointer.

# RETURN VALUES

The `valloc`() function returns a pointer to the allocated space if successful; otherwise a null pointer is returned

# HISTORY

The `valloc`() function appeared in 3.0BSD.

# BUGS

A `vfree`() function has not been implemented.

May 6, 2010 | NetBSD 9.2